## polkit-qt-1 0.95.1

=== debian/changelog ===
polkit-qt-1 (0.95.1-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_fix_glib_ftbfs.diff to fix build failure with glib 2.25 or
    greater (LP: #600948) Pending upstream commit

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 02 Jul 2010 10:01:29 -0400

polkit-qt-1 (0.95.1-1fakesync1) lucid; urgency=low

  * Fake sync due to mismatching tarball (LP: #524957).

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 20 Feb 2010 18:08:29 +0100

polkit-qt-1 (0.95.1-1) unstable; urgency=low

  * Initial release. (Closes: #565395)

 -- Fathi Boudra <fabo@debian.org>  Fri, 15 Jan 2010 12:50:13 +0100
