=== debian/control ===
Source: polkit-qt-1
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7), cmake, automoc, libqt4-dev,
 libpolkit-agent-1-dev, libpolkit-gobject-1-dev
Standards-Version: 3.8.3
Section: libs

Package: libpolkit-qt-1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpolkit-qt-1-0 (= ${binary:Version}), libqt4-dev
Description: PolicyKit-qt-1 development files
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit-1.
 .
 This package contains the development libraries and headers.

Package: libpolkit-qt-1-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolicyKit-qt-1 library
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 libpolkit-qt-1 provides convenience classes and methods for Qt/KDE
 applications that want to use PolicyKit.
 .
 This package contains the files necessary for running applications that use
 the libpolkit-qt-1 library.
