## polkit-qt-1 0.99.0

=== debian/changelog ===
polkit-qt-1 (0.99.0-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Update symbol files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:31:01 +0300

polkit-qt-1 (0.99.0-2) experimental; urgency=low

  * Bump Standards-Version to 3.9.2: no changes needed.
  * Build library with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Update symbol file: many private symbols are gone due to above.

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Apr 2011 11:53:35 +0300

polkit-qt-1 (0.99.0-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.
  * Switch debian/rules engine to qt-kde-team/2/*.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Remove dupe "Section" field from debian/control.
  * Include verbatim BSD license to debian/copyright.
  * Override lintian libpolkit-qt-1-0: package-name-doesnt-match-sonames.
  * Use more failsafe wildcards in libpolkit-qt-1-0.install.
  * Add myself to Uploaders.
  * SONAME bumped: rename libpolkit-qt-1-0 to libpolkit-qt-1-1.
  * Add symbol file for libpolkit-qt-1-1.
  * Update debian/copyright.

  [ Didier Raboud ]
  * Bump B-D of libpolkit to >= 0.98.

  [ José Manuel Santamaría Lema ]
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Mon, 14 Mar 2011 01:03:06 +0200
