=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: polkit-qt-1
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7), cmake, automoc, libqt4-dev,
- libpolkit-agent-1-dev, libpolkit-gobject-1-dev
-Standards-Version: 3.8.3
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11), automoc, libqt4-dev,
+ libpolkit-agent-1-dev (>= 0.98), libpolkit-gobject-1-dev (>= 0.98)
+Standards-Version: 3.9.2
 Section: libs
+Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-qt-1.git
 
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpolkit-qt-1-0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -25,8 +26,7 @@
  .
  This package contains the development libraries and headers.
 
-Package: libpolkit-qt-1-0
-Section: libs
+Package: libpolkit-qt-1-1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PolicyKit-qt-1 library
