## polkit-qt-1 0.103.0

=== debian/changelog ===
polkit-qt-1 (0.103.0-1ubuntu1) saucy; urgency=low

  * Add Depends on consolekit, since we're using its D-Bus API. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Apr 2013 20:45:51 +0000

polkit-qt-1 (0.103.0-1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:49:08 +0100

polkit-qt-1 (0.103.0-1) unstable; urgency=low

  * New upstream release.
    - fix annoying crash on shutdown. (Closes: #651815)

  [ Felix Geyer ]
  * Modify CFLAGS/CXXFLAGS after including debian-qt-kde.mk so the changes are
    not overwritten.

  [ Fathi Boudra ]
  * Update debian/compat: bump to 8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Dec 2011 09:15:10 -0500
