=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Priority: extra
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11), automoc, libqt4-dev,
- libpolkit-agent-1-dev (>= 0.98), libpolkit-gobject-1-dev (>= 0.98)
+Build-Depends: automoc,
+               cmake,
+               debhelper (>= 8.0.0),
+               libpolkit-agent-1-dev (>= 0.98),
+               libpolkit-gobject-1-dev (>= 0.98),
+               libqt4-dev,
+               pkg-kde-tools (>= 0.11)
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
@@ -12,7 +17,7 @@
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev
+Depends: libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -28,7 +33,7 @@
 
 Package: libpolkit-qt-1-1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
 Description: PolicyKit-qt-1 library
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
