=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dh = --list-missing

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

.PHONY: override_dh_auto_test
