=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: polkit-qt-1
-Priority: extra
+Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: automoc,
-               cmake,
-               debhelper (>= 8.0.0),
+               cmake (>= 2.8.11),
+               debhelper (>= 9),
                libpolkit-agent-1-dev (>= 0.98),
                libpolkit-gobject-1-dev (>= 0.98),
-               libqt4-dev,
+               libqt4-dev (>= 4:4.4.0),
+               qtbase5-dev (>= 5.1.0),
                pkg-kde-tools (>= 0.11)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Section: libs
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-qt-1.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-qt-1.git
+XS-Testsuite: autopkgtest
+Homepage: https://projects.kde.org/projects/kdesupport/polkit-qt-1
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/polkit-qt-1.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/polkit-qt-1.git
 
 Package: libpolkit-qt-1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpolkit-qt-1-1 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Description: PolicyKit-qt-1 development files
  PolicyKit is an application-level toolkit for defining and handling the policy
@@ -33,7 +37,9 @@
 
 Package: libpolkit-qt-1-1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit | systemd
 Description: PolicyKit-qt-1 library
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
@@ -47,3 +53,37 @@
  .
  This package contains the files necessary for running applications that use
  the libpolkit-qt-1 library.
+
+Package: libpolkit-qt5-1-dev
+Section: libdevel
+Architecture: any
+Depends: libpolkit-qt5-1-1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Description: PolicyKit-qt5-1 development files
+ PolicyKit is an application-level toolkit for defining and handling the policy
+ that allows unprivileged processes to speak to privileged processes.
+ .
+ It is a framework for centralizing the decision making process with respect to
+ granting access to privileged operations (like calling the HAL Mount() method)
+ for unprivileged (desktop) applications.
+ .
+ libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
+ applications that want to use PolicyKit-1.
+ .
+ This package contains the development libraries and headers.
+
+Package: libpolkit-qt5-1-1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, consolekit | systemd
+Description: PolicyKit-qt5-1 library
+ PolicyKit is an application-level toolkit for defining and handling the policy
+ that allows unprivileged processes to speak to privileged processes.
+ .
+ It is a framework for centralizing the decision making process with respect to
+ granting access to privileged operations (like calling the HAL Mount() method)
+ for unprivileged (desktop) applications.
+ .
+ libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
+ applications that want to use PolicyKit.
+ .
+ This package contains the files necessary for running applications that use
+ the libpolkit-qt5-1 library.
