=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

dh = --list-missing

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

override_dh_auto_clean:
	$(overridden_command)
	rm -rf build-qt5

override_dh_auto_configure:
	$(overridden_command) -- -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DUSE_QT4=True
	$(overridden_command) --builddirectory=build-qt5 -- -DUSE_QT5=True

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) --builddirectory=build-qt5

override_dh_auto_test:
	# Skip dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) --builddirectory=build-qt5
