=== debian/watch ===
version=3
ftp://download.kde.org//stable/apps/KDE4.x/admin/ polkit-qt-1-([\d.]+)\.tar.(?:bz2|xz)
