=== agent/CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 target_link_libraries(${POLKITQT-1_AGENT_PCNAME}
     LINK_PUBLIC
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     ${POLKITQT-1_CORE_PCNAME}
     LINK_PRIVATE
     ${POLKIT_LIBRARIES}
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     ${POLKIT_AGENT_LIBRARY}
     ${GOBJECT_LIBRARIES}
     ${GIO_LIBRARIES}
