=== core/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 target_link_libraries(${POLKITQT-1_CORE_PCNAME}
     LINK_PUBLIC
-    ${QT_QTCORE_LIBRARY}
+    Qt5::Core
     LINK_PRIVATE
-    ${QT_QTDBUS_LIBRARY}
+    Qt5::DBus
     ${POLKIT_LIBRARIES}
     ${GLIB2_LIBRARIES}
     ${GOBJECT_LIBRARIES}
