=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,10 @@
 )
 
 target_link_libraries(polkit-qt-test
-    ${QT_QTCORE_LIBRARY}
-    ${QT_QTDBUS_LIBRARY}
-    ${QT_QTTEST_LIBRARY}
-    ${QT_QTGUI_LIBRARY}
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Test
+    Qt5::Widgets
     ${POLKITQT-1_CORE_PCNAME}
 )
