=== debian/changelog ===
polkit-qt-1 (0.113.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:58:31 +0100

polkit-qt-1 (0.113.0-0ubuntu1) focal; urgency=medium

  * New upstream release (0.113.0)
  * Drop all patches, as included in this new release.
  * Update symbols from build logs.
  * Update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Dec 2019 15:56:05 +0000

polkit-qt-1 (0.112.0-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch from Mark Hindley to Use new logind virtual packages
    instead of libpam-systemd (Closes: #925344)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Oct 2019 19:22:38 +0200

polkit-qt-1 (0.112.0-7) unstable; urgency=medium

  * Teamp upload.
  * Drop Qt 4 support (Closes: #875092). Work heavily based in Moritz
    Mühlenhoff's patch.
  * Bump debhelper compatibility to 12.
    - Pass --list-missing to dh_missing.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 31 Aug 2019 16:24:32 -0300

polkit-qt-1 (0.112.0-6) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop automoc build dependency.
    Thanks to Александр Волков for reporting (Closes: 824125)
  * Bump Standards-Version to 3.9.8
  * Add symbolshelper header
  * Update symbols files with the buildds logs.
  * Update uploaders list as requested by MIA team (Closes: #879422)
  * Update vcs fields

  [ Pino Toscano ]
  * Remove the consolekit alternative dependency: while it was already
    available only on non-Linux architectures for a while, somebody
    unilaterally decided to remove it altogether from the archive (#911416).
  * Do not install README, README.porting, and TODO anymore as documentation
    of libpolkit-qt-1-dev, since they have little to no value for users.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Add Build-Depends-Package in the symbols file of libpolkit-qt5-1-1.
  * Use https for Format in copyright.
  * Remove extra XS-Testsuite header in control, now added automatically.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Nov 2018 07:34:04 +0100

polkit-qt-1 (0.112.0-5) unstable; urgency=medium

  * Apply the same Depends used in libpolkit-qt-1-1. (Closes: #800666)
    Thanks to Michael Biebl

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Mar 2016 09:52:15 +0100

polkit-qt-1 (0.112.0-4) unstable; urgency=medium

  * Update symbols files for gcc5 compatibility. (Closes: #791734)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Aug 2015 11:59:55 +0200

polkit-qt-1 (0.112.0-3) unstable; urgency=medium

  * Fix my previous systemd dependency. Thanks to Ansgar Burchardt.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Jun 2015 12:01:52 +0200
