=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

override_dh_auto_configure:
	$(overridden_command) -- -DUSE_QT5=True

override_dh_missing:
	$(overridden_command) --list-missing

override_dh_auto_test:
	# Skip dh_auto_test
