=== debian/watch ===
version=3
https://download.kde.org/stable/polkit-qt-1/ polkit-qt-1-([\d.]+)\.tar.(?:bz2|xz)
